# MeshDeformModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``MeshDeformModifier`(Modifier)

  Mesh deformation modifier to deform with other meshes

  `invert_vertex_group`

    Invert vertex group influence

    Type: | boolean, default False

  `is_bound`

    Whether geometry has been bound to control cage

    Type: | boolean, default False, (readonly)

  `object`

    Mesh object to deform with

    Type: | `Object`

  `precision`

    The grid size for binding

    Type: | int in [2, 10], default 0

  `use_dynamic_bind`

    Recompute binding dynamically on top of other deformers (slower and more memory consuming)

    Type: | boolean, default False

  `vertex_group`

    Vertex group name

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`